> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SQ_SetQueueInfo POST https://api.voximplant.com/platform_api/SQ_SetQueueInfo Edits an existing queue. Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Edit the queue with id = 1. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/smartqueue/sq-set-queue-info ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, required) — Application ID to search by - `application_name` (string, optional) — Application name to search by. Can be used instead of **application_id** - `hold_im_if_inactive_agents` (boolean, optional) — Whether to add the task to the queue if there are no available agents - `sq_queue_id` (integer, required) — ID of the SmartQueue to search for - `sq_queue_name` (string, optional) — Name of the SmartQueue to search for. Can be used instead of **sq_queue_id** - `hold_calls_if_inactive_agents` (boolean, optional, default: false) — Whether to keep the call task in the queue if all agents are in the DND/BANNED/OFFLINE statuses. - `new_sq_queue_name` (string, optional) — New SmartQueue name within the application, up to 100 characters - `call_agent_selection` (string, optional) — Agent selection strategy for calls. Accepts one of the following values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME" - `im_agent_selection` (string, optional) — Agent selection strategy for messages. Accepts one of the following values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME". The default value is **call_agent_selection** - `call_task_selection` (string, optional) — Strategy of prioritizing CALL-type requests for service. Accepts one of the following values: "MAX_PRIORITY", "MAX_WAITING_TIME" - `im_task_selection` (string, optional) — Strategy of prioritizing IM-type requests for service. Accepts one of the following values: "MAX_PRIORITY", "MAX_WAITING_TIME". The default value is **call_task_selection** - `description` (string, optional) — Comment, up to 200 characters - `call_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent. Specify either this parameter or `call_max_waiting_time_in_seconds`. Specifying both parameters simultaniously leads to an error - `im_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent. Specify either this parameter or `im_max_waiting_time_in_seconds`. Specifying both parameters simultaniously leads to an error - `call_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with CALL-type requests - `im_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with IM-type requests - `priority` (integer, optional, default: 10) — The queue's priority from 1 to 100 - `call_max_waiting_time_in_seconds` (integer, optional) — Maximum call waiting time in seconds. Specify either this parameter or `call_max_waiting_time`. Specifying both parameters simultaniously leads to an error - `im_max_waiting_time_in_seconds` (integer, optional) — Maximum chat message waiting time in seconds. Specify either this parameter or `im_max_waiting_time`. Specifying both parameters simultaniously leads to an error ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1 } ``` **SDK Code** ```python Success import requests url = "https://api.voximplant.com/platform_api/SQ_SetQueueInfo" querystring = {"application_id":"12345","sq_queue_id":"1","new_sq_queue_name":"Customer Support Queue","hold_im_if_inactive_agents":"true","hold_calls_if_inactive_agents":"false","call_agent_selection":"MOST_QUALIFIED","im_agent_selection":"MAX_WAITING_TIME","call_task_selection":"MAX_PRIORITY","im_task_selection":"MAX_WAITING_TIME","description":"Queue for handling customer support calls and messages","call_max_waiting_time":"30","im_max_waiting_time":"45","call_max_queue_size":"500","im_max_queue_size":"300","priority":"20","call_max_waiting_time_in_seconds":"1800","im_max_waiting_time_in_seconds":"2700"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Success request('POST', 'https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```